<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="namespaceOgre_1_1RTShader.html">RTShader</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html">ShaderGenerator</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">SGPass</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::RTShader::ShaderGenerator::SGPass Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#af8285fc580f5c4fcf4866c73a8e9ec68">acquirePrograms</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#a72c2fadabc311df85cb98acca620700c">buildTargetRenderState</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#afe84bc5686a475411f721fb63875489c">getCustomFFPSubState</a>(int subStateOrder)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#a4bfc8a200946036682474059b85c6f2a">getCustomFFPSubState</a>(int subStateOrder, const RenderState *renderState)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#a514a6fea2d321e3d18cd2696e0a0b619">getCustomRenderState</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#aa597bbfdab8ed3859c41af1be1d49906">getDstPass</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#af71b4ac8f8895197b012dcdfb627bdbe">getSrcPass</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#a193a8bd8beb78459e6c07740e3f10db0">mCustomRenderState</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#a49b3c550bb343fe305637fe202b3fc24">mDstPass</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#a6eb20b4cd3805915805df6afd985004a">mParent</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#aa2d7f763594fe2dd0fc7f17192cefccc">mSrcPass</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#ab5d2cb7d3bf158dac3ce46eb45ac61ba">mTargetRenderState</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#ad6f34b0a221c938d27ee8eac1f60759b">notifyRenderSingleObject</a>(Renderable *rend, const AutoParamDataSource *source, const LightList *pLightList, bool suppressRenderStateChanges)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#ad1245afa273fcd3e007919e7558a47e6">releasePrograms</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#a0bb15cb754f8166c6d613709aa48b639">setCustomRenderState</a>(RenderState *customRenderState)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#aac063fe0432e7804be68b70c28b3838d">SGPass</a>(SGTechnique *parent, Pass *srcPass, Pass *dstPass)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#a8b6e40f2c4ef407057e6c2d9f58abdd7">UserKey</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#a6a4b6eed53fa68e5d90433f6c2030aee">~SGPass</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:32
</p>
</body>
</html>
